        !to "dload.prg",cbm
        !cpu 6510

	!src "dload.cfg"
	* = LdCfgInit_CodeStart

        
        !macro SAFEBNE .dst {
	!if >(*+2) != >.dst {
		!error "branch crosses page porder!"
	}
	bne .dst
        }

        !macro SAFEBEQ .dst {
	!if >(*+2) != >.dst {
		!error "branch crosses page porder!"
	}
	beq .dst
        }

        !macro SAFEBPL .dst {
	!if >(*+2) != >.dst {
		!error "branch crosses page porder!"
	}
	bpl .dst
        }

        !macro SAFEBMI .dst {
	!if >(*+2) != >.dst {
		!error "branch crosses page porder!"
	}
	bmi .dst
        }

	!macro  SAFETABLE_START {
		!set __SAFETABLE_ADR__ = *
	}

	!macro SAFETABLE_END {
		!if >* != >__SAFETABLE_ADR__ {
		;!warn "table crosses page border!"
		}
	}

	!set dload_zp_base = LdCfgInit_ZPStart

	!macro zp_space .x {
	!set dload_zp_base = dload_zp_base + .x
	}
!src "filelib.src"
!src "dload.src"
!src "iff.src"

!src "i41.src"
!ifdef LdFlag_7Xis41 {
} else {
!src "i71.src"
}
!src "i81.src"
!src "ihd.src"

!src "ldcommon.src"
!src "ldserial.src"
!src "ld41.src"
!src "ldhd.src"
!src "ldmmc.src"

!if (Ld41End-LdLoc > $0200 ) {
	!error "LdLoc + Ld41 larger than $200 bytes: ", Ld41End-LdLoc-$0200
}

!if (LdHDEnd-LdLoc > $0200 ) {
	!error "LdLoc + LdHD larger than $200 bytes: ", LdHDEnd-LdLoc-$0200
}

!if (LdMMCEnd-LdLoc > $0200 ) {
	!error "LdLoc + LdMMC larger than $200 bytes: ", LdMMCEnd-LdLoc-$0200
}

!src "t41.src"
!ifdef LdFlag_7Xis41 {
} else {
!src "t71.src"
}
!src "t81.src"
!src "thd.src"
